> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 예측 생성

> 예측을 생성합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /v2/{entity}/{project}/predictions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/predictions:
    post:
      tags:
        - Predictions
      summary: 예측 생성
      description: 예측을 생성합니다.
      operationId: prediction_create_v2__entity___project__predictions_post
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PredictionCreateBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PredictionCreateRes'
          description: 성공적인 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    PredictionCreateBody:
      description: >-
        REST API를 통해 Prediction을 생성하기 위한 요청 본문입니다.


        이 모델은 project_id를 제외합니다. RESTful 엔드포인트에서는 project_id가 URL 경로에서 제공되기
        때문입니다.
      properties:
        evaluation_run_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 이 예측을 하위 call로 연결하기 위한 선택적 Evaluation run ID
          title: Evaluation Run Id
        genai_span_ref:
          anyOf:
            - items:
                $ref: '#/components/schemas/GenAISpanRef'
              type: array
            - type: 'null'
          description: 이 예측으로 생성된 선택 사항인 GenAI span 레퍼런스입니다.
          title: Genai Span Ref
        inputs:
          additionalProperties: true
          description: 예측의 입력값
          title: Inputs
          type: object
        model:
          description: 모델 레퍼런스(weave:// URI)
          title: Model
          type: string
        output:
          description: 예측의 출력값
          title: Output
      required:
        - model
        - inputs
        - output
      title: PredictionCreateBody
      type: object
    PredictionCreateRes:
      properties:
        prediction_id:
          description: 예측 ID
          title: Prediction Id
          type: string
      required:
        - prediction_id
      title: PredictionCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GenAISpanRef:
      properties:
        span_id:
          title: Span Id
          type: string
        trace_id:
          title: Trace Id
          type: string
      required:
        - trace_id
        - span_id
      title: GenAISpanRef
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````